textures/technecia/slime_new
{
	qer_editorimage textures/technecia/slime_new.tga
	q3map_lightimage textures/technecia/slime_new.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 500
	cull disable

	{
		map textures/technecia/slime_new2.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{
		map textures/technecia/slime_new.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}
}

textures/rotary06/glow
{
	{
		map textures/rotary06/glow.tga
		//alphagen portal 128
		rgbGen identityLighting	
		tcmod rotate .1 //.1
		tcmod scroll .01 .03
	}
}

textures/rotary06/1r_floor03b
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/rotary06/1r_floor03b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rotary06/powerfield
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
	q3map_surfacelight 30
        qer_trans .5
	cull none
       
	{
		map textures/rotary06/powerfield.tga
                blendFunc GL_ONE GL_ONE
		tcmod rotate .1 //.1
		tcmod scroll .1 .3
        }
        {
		map textures/rotary06/powerfield.tga
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/rotary06/2_c_thinredtrimstep01
{
	qer_editorimage textures/rotary06/2_c_thinredtrimstep01.tga
	surfaceparm nomarks
	q3map_surfacelight 10
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rotary06/2_c_thinredtrimstep01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/rotary06/2_c_thinredtrimstep01.blend.tga
		//rgbGen wave sin 0.5 0.5 0 3
		blendFunc GL_ONE GL_ONE
	}
}
textures/rotary06/powerfield_orig
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
	q3map_surfacelight 30
        qer_trans .5
        deformVertexes move 3 1 0  sin 0 5 0 0.2
        deformVertexes move .6 3.3 0  sin 0 5 0 0.4
        deformVertexes wave 30 sin 0 10 0 .2
	cull none
       
	{
		map textures/orig.tga
                tcMod Scroll .5 -8
                tcMod turb .1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/orig.tga
                tcMod Scroll .01 -6.3
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/technecia/energy
{
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
	q3map_surfacelight 30
        qer_trans .5
       
	{
		map textures/technecia/energy.tga
                blendFunc GL_ONE GL_ONE
		tcmod rotate .3 //.3
		tcmod scroll .2 .4
        }
        {
		map textures/technecia/energy.tga
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/base_light/baslt4_1_1k
{
	qer_editorimage textures/rotary06/baslt4_1_1k.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rotary06/baslt4_1_1k.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
